#include <stdio.h>
#include <stdlib.h>

static int array[8] = { 0xa7, 0xea, 0xaf, 0xf7, 0x9b, 0x30, 0xcb, 0xec };

static int cmp(const void *a, const void *b)
{
	const int *y = a;
	const int *z = b;
	return *y - *z;
}

int main(int argc, char **argv)
{
	(void) argc;
	(void) argv;

	int i;

	printf("Array unsorted:\n");
	for (i = 0; i < 8; i++)
		printf("%i %x\n", i, array[i]);

	qsort(array, 8, sizeof(int), cmp);

	printf("\nArray sorted (in ascending order):\n");
	for (i = 0; i < 8; i++)
		printf("%i %x\n", i, array[i]);

	return 0;
}
