OUTPUT(kernel);

SECTIONS
{
	. = 0x00000000;

	.text : { 
		PROVIDE(_start = 0x0);
		*(.text)
	}

	.rodata : {
		*(.rodata*)

		PROVIDE(__ffi_start__ = .);
		*(.ffi)
		PROVIDE(__ffi_end__ = .);
	}

	. = 0x40000000;

	.bss : {
		*(.bss)
	}

	__bss_end__ = .;
}
