#include <stdio.h>
#include <stdlib.h>

static int int_sqrt(int d)
{
	int i;

	for (i = 0; i*i <= d; i++) ;

	return --i;
}

static void prime(int from, int to)
{
	int i, j;
	int s;

	if (from < 2)
		from = 2;
	if (from == 2) {
		from = 3;
		printf("2\n");
	}
	if (from % 2 == 0)
		from++;

	for (i = from; i < to; i += 2) {
		s = int_sqrt(i);
		for (j = 3; j <= s; j += 2)
			if (i % j == 0)
				break;
		if (j > s)
			printf("%i\n", i);
	}
}

int main(int argc, char **argv)
{
	int from, to;

	if (argc != 3) {
		printf("Usage: %s <from> <to>\n", argv[0]);
		return 1;
	}

	from = atoi(argv[1]);
	to   = atoi(argv[2]);

	prime(from, to);
	return 0;
}
